--- csircd/lib/mysocket.c	2001-09-30 13:02:15.000000000 +0200
+++ csircd/lib/mysocket.c	2002-10-13 03:11:59.000000000 +0200
@@ -37,9 +37,17 @@
 	int		nonb = 0;
 
 	nonb = O_NDELAY;
+	
+	/* 
+	 *
+	 * Vergoz Michael <descript@sysdoor.net>
+	 * Fixed 'else if' condition, that never 
+	 * go to F_SETFL.
+	 * 
+	 */
 	if ((res = fcntl(fd, F_GETFL, 0)) == -1)
 		return -errno;
-	else if (fcntl(fd, F_SETFL, res | nonb) == -1)
+	if (fcntl(fd, F_SETFL, res | nonb) == -1)
 		return -errno;
 #endif
 	return 0;
